{% extends "base.html" %}
{% block content %}
<!--Input-Field Row-->
<div class="container mx-6 mt-2">
  <form class="flex flex-col" method="GET" action="/">
    <div class="relative flex w-full flex-wrap items-stretch mb-3">
      <a href="/api" title="api docs" class="main-input-field-addon left-0 ml-4">
        <i class="fas fa-code"></i>
      </a>
      <label for="ip" class="sr-only">IP</label>
      <input class="main-input-field masked-ip-v{{ address_type }}"
             value="{{ address }}"
             name="ip"
             id="ip"
             type="text"
             onclick="this.select();"
             placeholder="133.71.33.7"/>
      <button type="submit" title="lookup" class="main-input-field-addon right-0 mr-4">
        <i class="fas fa-search"></i>
      </button>
    </div>
  </form>
</div>

<!-- Information -->
<div id="informationContainer" class="container mx-6 mt-2 bg-white shadow overflow-hidden">
  <!-- Information Header -->
  <div class="flex flex-row p-4 justify-between">
    <div class="flex flex-grow flex-wrap content-center">
      <h3 class="text-2xl text-gray-900">
        Information
      </h3>
    </div>
    <div class="flex-none">
      <a href="/json?ip={{ address }}" class="icon-only-button icon-only-button-default" title="JS:ON">
        <span class="icon-only-button-label hidden">.asJSON()</span>
        <i class="far fa-file-code"></i>
      </a>
      <a href="/text?ip={{ address }}" class="icon-only-button icon-only-button-default" title="Te:xt">
        <span class="icon-only-button-label hidden">.asText()</span>
        <i class="far fa-file-alt"></i>
      </a>
    </div>
  </div>
  <!-- Information Body -->
  <div class="m-1">
    <dl>
      <!-- IP Address -->
      <div class="bg-gray-50 px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          IP Address
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ address }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ address }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>

      <!-- Country -->
      {% if country_name.is_some() -%}
      <div class="bg-white px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          Country
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          <span class="fp {{ country_code.unwrap() }}"></span>
          {{ country_name.unwrap() }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ country_name.unwrap() }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}

      <!-- City Name -->
      {% if city_name.is_some() -%}
      <div class="bg-gray-50 px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          City Name
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ city_name.unwrap() }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ city_name.unwrap() }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}

      <!-- City Code -->
      {% if city_code.is_some() -%}
      <div class="bg-white px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          City Code
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ city_code.unwrap() }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ city_code.unwrap() }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}

      <!-- Location Latitude -->
      {% if location_latitude.is_some() -%}
      <div class="bg-white px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          Location
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ location_latitude.unwrap() }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ location_latitude.unwrap() }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}

      <!-- Location Longitude -->
      {% if location_longitude.is_some() -%}
      <div class="bg-white px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          Location
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ location_longitude.unwrap() }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ location_longitude.unwrap() }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}

      <!-- Connection -->
      {% if connection_isp.is_some() -%}
      <div class="bg-white px-2 py-2 grid grid-cols-3 gap-4">
        <dt class="text-xs my-auto font-medium text-gray-500">
          Connection
        </dt>
        <dd class="text-xl my-auto text-gray-900">
          {{ connection_isp.unwrap() }}
        </dd>
        <dd class="text-md my-auto text-gray-900 flex flex-row-reverse">
          <button type="button"
                  title="copy value to clipboard"
                  class="copy-to-clipboard-button icon-only-button icon-only-button-default"
                  data-value="{{ connection_isp.unwrap() }}">
            <span class="icon-only-button-label hidden">Copy To Clipboard</span>
            <i class="fas fa-clipboard"></i>
          </button>
        </dd>
      </div>
      {%- endif %}

    </dl>
  </div>
</div>
{% endblock %}
